Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.event
Class LifecycleEventManager.ListenerList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList
                  org.apache.openjpa.event.LifecycleEventManager.ListenerList

All Implemented Interfaces:
  Serializable, Cloneable, Iterable, Collection, List, RandomAccess

Enclosing class:
  LifecycleEventManager

    public static class LifecycleEventManager.ListenerList

extends ArrayList

Extended list that tracks what event types its elements care about. Maintains set semantics as well.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`LifecycleEventManager.ListenerList(int size)`
`LifecycleEventManager.ListenerList(LifecycleEventManager.ListenerList copy)`

Method Summary
`boolean` | `add(Object listener)`
`boolean` | `hasListeners(int type)`
`boolean` | `remove(Object listener)`

Methods inherited from class java.util.ArrayList
`add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### LifecycleEventManager.ListenerList

    public LifecycleEventManager.ListenerList(int size)

### LifecycleEventManager.ListenerList

    public LifecycleEventManager.ListenerList(LifecycleEventManager.ListenerList copy)

Method Detail

### hasListeners

    public boolean hasListeners(int type)

### add

    public boolean add(Object listener)

  Specified by:
    `add` in interface `Collection`
  Specified by:
    `add` in interface `List`
  Overrides:
    `add` in class `ArrayList`

### remove

    public boolean remove(Object listener)

  Specified by:
    `remove` in interface `Collection`
  Specified by:
    `remove` in interface `List`
  Overrides:
    `remove` in class `ArrayList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache Software Foundation. All Rights Reserved.